Subject: Bird 14, [Model] sub-parameters section

From: "Hobbs, Will" <[email-masked]>
Date: Wed, 27 Apr 94 17:38:58 PDT

************************************************************************* 
*************************************************************************

               Buffer Issue Resolution Document  (BIRD)

BIRD ID#:      14
ISSUE TITLE:   Adding a new section for [Model] sub-parameters 
REQUESTER:     John Keifer at Intel

DATE SUBMITTED:                       April 26, 1994 
DATE ACCEPTED BY IBIS OPEN FORUM:     Pending

************************************************************************* 
*************************************************************************

STATEMENT OF THE ISSUE:

       It is desirable to have two new sub-parameters added to a
[Model] in order to fully represent the characteristics of a given 
component's I/O cells. These sub-parameters are desirable for the
user of the IBIS [Models] who wishes to perform board level simulations.
       It is also desirable to have a new optional keyword added to
the top of an .IBS file in order to parameterize the sub-parameters 
of a [Model] so that each time a [Model] is used with a different 
sub-parameter a new [Model] would not have to be made.

*************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

       A new keyword, [SPECS], is added to the .IBS file.  The
keyword [SPECS] and all of its sub-parameters are optional.  The 
sub-parameters under this keyword override the sub-parameters of a 
[Model].  Only those pins should be listed in the [SPECS] section 
which need to override the default sub-parameters of a [Model].  All 
sub-parameters must be filled in on a line either with NA or a value.
       Two new sub-parameters, Cref (a reference specload) and Vt (a
test voltage), are added to a [Model].  These sub-parameters are 
also optional.

|************************************************************************* 
|
|    Keyword:    [SPECS]
|   Required:    No
|Description:    Used to list pin-level specifications that differ from 
|                the more global sub-params listed under [Model] below. 
| Sub-Params:    Vinl, Vinh, Vt, Cref, C_comp
|Usage Rules:    Only pins that have values different from the default 
|                values specified in [Model] sub-parameters should be 
|                listed.  Sub-parameters not used on a line must be
|                filled in with NA.
|                The [SPECS] section consists of five characters for a 
|                pin number, six for Vinl, six for Vinh, five for Vt, 
|                five for Cref, and six for each of the three
|                sub-parameters in C_comp.  These three sub-parameters 
|                represent the following:  typ, min, and max.  All
|                sub-parameters must be separated by at least one 
|                blank space.  This comes to a total of fifty-two 
|                characters.
|
|*************************************************************************

Example:  Pin1 = I/O, Pin4 = Output/3-state, Pin9 = Input

[SPECS]
|                              C_comp
Pin  Vinl   Vinh   Vt    Cref  typ    min    max
1    0.8V   2.0V   1.5V  50pF  4.5pF  3.0pF  6.0pF 
4    NA     NA     2.5V  30pF  NA     NA     NA
9    1.5V   3.5V   NA    NA    NA     NA     NA

This section will be placed directly underneath the pin list (the [Pin] 
keyword section).

The [Model] section should be changed as shown below, only changes are 
listed.
|************************************************************************* 
|
|      Keyword: [Model]
|         .
|         .
|   Sub-Params:   ..., Vt, Cref
|
|  Other Notes:   ...   Component timings are usually specified into a 
|               reference capacitance that can be listed as Cref.  Vt is 
|               the test voltage at a driver that timings are specified
|               to.  (This is usually around the 50% level of the voltage 
|               thresholds.  For example, TTL=1.5V, CMOS=2.5V.)
|
|*************************************************************************

Example:

[Model]         IB080812
Model_type      I/O
Polarity        Non-Inverting
Enable          Active-High
| Signals       A[2-17]
Vinl = 0.8V
Vinh = 2.0V
Vt=1.5V               |Test voltage timings are specified to
Cref=50pF             |Reference capacitance timings are specified into

The Cref and Vt sub-parameters would be placed inside each [Model] file, 
after Vinh.

*************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

      Presently if a particular [Model] needs to be used for a couple 
of buffers in which the only differences are in the Vinl, Vinh, or 
C_comp sub-parameters, separate [Model]s have to be made.  With the 
[SPECS] keyword, only one [Model] has to be made with the 
sub-parameters being passed down from the [SPECS] section.  This 
feature will reduce the size of the .IBS file.  The [SPECS] section 
allows separating the details from the core of a [Model], and at the 
same time, gives the user the sub-parameters he needs.  The [SPECS] 
keyword is also optional and hence fully backward compatible.

      The keywords Cref and Vt and all other sub-parameters of a
[Model] are to be used as default values only.  All sub-parameters in 
a [Model] are overriden by any values listed in the [SPECS] section.

      All of the data in the [SPECS] section, Cref, and Vt is
standard data available in data books.  Allowing the specification of 
Cref and Vt enhances the usability of an IBIS model by providing key 
parameters for simulation.

*************************************************************************

ANY OTHER BACKGROUND INFORMATION:

*************************************************************************